#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEA,0x80,0xBF,0x20,0xBC,0x7B,0x2B,0x3D,0x8C,0x83,0x51,0xC1,
		0xBC,0x7E,0x72,0x2F,0xEA,0xF5,0xE5,0x21,0x41,0xAE,0x17,0xE8,
		0xA2,0x61,0x67,0xCA,0x31,0xED,0x51,0xB9,0x6E,0x58,0x2F,0x86,
		0x1B,0x0B,0xBB,0x48,0xFE,0x84,0x43,0xA9,0x6B,0x16,0x67,0xA2,
		0xB0,0xC8,0x2D,0x09,0xF7,0x71,0x12,0xB2,0x91,0x3E,0xED,0x2B,
		0x36,0xA6,0x03,0x13,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
